### Hierarchy

- unknown
  - RelayXmrTxRequest

## Index

### Constructors

- constructor

### Methods

- getMetadata
- serializeBinary
- setMetadata
- toObject
- deserializeBinary
- deserializeBinaryFromReader
- serializeBinaryToWriter
- toObject

## Constructors

### constructor

- new RelayXmrTxRequest(): RelayXmrTxRequest

- Inherited from jspb.Message.constructor

  #### Returns RelayXmrTxRequest

## Methods

### getMetadata

- getMetadata(): string

- - Defined in src/protobuf/grpc_pb.d.ts:3280

  #### Returns string

### serializeBinary

- serializeBinary(): Uint8Array

- - Defined in src/protobuf/grpc_pb.d.ts:3283

  #### Returns Uint8Array

### setMetadata

- setMetadata(value: string): RelayXmrTxRequest

- - Defined in src/protobuf/grpc_pb.d.ts:3281

  #### Parameters

  - ##### value: string

  #### Returns RelayXmrTxRequest

### toObject

- toObject(includeInstance?: boolean): RelayXmrTxRequest . AsObject

- - Defined in src/protobuf/grpc_pb.d.ts:3284

  #### Parameters

  - ##### Optional includeInstance: boolean

  #### Returns RelayXmrTxRequest . AsObject

### Static deserializeBinary

- deserializeBinary(bytes: Uint8Array): RelayXmrTxRequest

- - Defined in src/protobuf/grpc_pb.d.ts:3287

  #### Parameters

  - ##### bytes: Uint8Array

  #### Returns RelayXmrTxRequest

### Static deserializeBinaryFromReader

- deserializeBinaryFromReader(message: RelayXmrTxRequest, reader: BinaryReader): RelayXmrTxRequest

- - Defined in src/protobuf/grpc_pb.d.ts:3288

  #### Parameters

  - ##### message: RelayXmrTxRequest

  - ##### reader: BinaryReader

  #### Returns RelayXmrTxRequest

### Static serializeBinaryToWriter

- serializeBinaryToWriter(message: RelayXmrTxRequest, writer: BinaryWriter): void

- - Defined in src/protobuf/grpc_pb.d.ts:3286

  #### Parameters

  - ##### message: RelayXmrTxRequest

  - ##### writer: BinaryWriter

  #### Returns void

### Static toObject

- toObject(includeInstance: boolean, msg: RelayXmrTxRequest ): RelayXmrTxRequest . AsObject

- - Defined in src/protobuf/grpc_pb.d.ts:3285

  #### Parameters

  - ##### includeInstance: boolean

  - ##### msg: RelayXmrTxRequest

  #### Returns RelayXmrTxRequest . AsObject

Generated using TypeDoc